/*

     This is the initization script that builds
  the Empirical Likelihood library 'l_mata_el'.

     This script compliles the EL, GMM, and CUE estimation
  routines, that can later be used by other programs without
  the need to recompile them.

     Run this script before running any other codes (including
  the examples). This file only needs to be ran once after you
  downloaded the codes.

     Written by Kirill Evdokimov and Yuichi Kitamura

     This version: 02/03/2011

*/

version 10.0
set more off

mata:
mata clear
mata set matastrict on
mata set matalnum off //to increase the speed, for debugging switch it on
mata set matafavor speed
mata set mataoptimize on

mata mlib create lib_EL, replace //this creates
  //mata library 'lib_EL' that will contain
  //the compiled EL, GMM, and CUE routines

end

do ellib_EL.do  //compile and save the EL procedure in the library
do ellib_GMM.do //compile and save a simple GMM procedure
do ellib_CUE.do //compile and save a simple CUE procedure

mata: mata mlib index

